#
# jump1.rb

require "narray"
require "numru/advanceddcl"

include NumRu::AdvancedDCL
include NMath

nmax = 400
dt = 2*PI/(nmax-1)

x = NArray.sfloat(nmax)
y = NArray.sfloat(nmax)

#-- data 1 ----
for n in 0..nmax-1
  t = dt*n
  x[n] = 5*sin(4*t)
  y[n] = 5*cos(5*t)
end

#-- graph 1 ----
Dev.open
Frame.new

Fig.window = [-6.0, 6.0, -6.0, 6.0]
Fig.viewport = [0.15, 0.45, 0.65, 0.95]
Fig.transnum = 1 

Axis.title('X1', '', 'Y1', '')
Axis.draw

Plot.draw(x, y)

#-- data 2 ----
iseed = 0

x[0] = 2*(rand(iseed)-0.5)
y[nmax-1] = x[0]

for n in 1..nmax-1
  x[n] = 2*(rand(iseed)-0.5)
  y[n-1] = x[n]
end

#-- graph 2 ----
Fig.new

Fig.window = [-1.1, 1.1, -1.1, 1.1]
Fig.viewport = [0.15, 0.95, 0.1, 0.5]

Axis.title('X2-TITLE', '', 'Y2-TITLE', '')
Axis.draw

Mark.draw(x, y)

Dev.close

