#
# lay1.rb

require "narray"
require "numru/advanceddcl"

include NumRu::AdvancedDCL
include NMath

nmax = 401
jmax = 51

y = NArray.sfloat(nmax)

#-- data ----
y0 = 0.5
for n in 0..nmax-1
  y[n] = 5.0*y0 + 10.0
  y0 = 3.7*y0*(1.0-y0)
end

rundef = Common.rundef

#-- graph ----
Dev.open
Frame.div('Y', 3, 2)

for i in 1..8

  Frame.new

  j = (i-1)*(jmax-1)
  xmin = j + 1600.0
  xmax = xmin + jmax - 1

  Fig.window = [xmin, xmax, rundef, rundef]
  Axis.title('TIME', 'YEAR', 'TEMPERATURE', 'DEG')
  
  Plot.draw(rundef, y[j..j+jmax-1])
  Axis.draw

end

Dev.close


