#
# kihon2.rb

require "narray"
require "numru/advanceddcl"

include NumRu::AdvancedDCL
include NMath

nmax = 40
imax = 4
dt = 4.0*PI/nmax

x = NArray.sfloat(nmax+1)
y = NArray.sfloat(nmax+1, imax)

#-- data ----
x = x.indgen * 1.0/nmax
for n in 0..nmax
  for i in 0..imax-1
    y[n,i] = 0.2*sin(n*dt) + 0.8 - 0.2*i
  end
end

#-- graph ----
Dev.open

#-- line index : frame 1 --
Frame.new
Frame.pvpr(1) 

for i in 0..imax-1
  Plot.vdraw(x, y[true,i], "lineindex"=>2*(i+1))
end

#-- line type : frame 2 --
Frame.new
Frame.pvpr(1)

for i in 0..imax-1
   Plot.linetype=i+1
   Plot.vdraw(x, y[true,i])
end

Dev.close
