#
# kihon9.rb

require "narray"
require "numru/advanceddcl"
include NumRu::AdvancedDCL
include NMath


nmax = 40
xmin = 0.0
xmax = 4*PI
ymin = -1.0
ymax = 1.0

x = NArray.sfloat(nmax+1)
y = NArray.sfloat(nmax+1)

#-- data ---
dt = xmax/nmax
x = x.indgen * dt
y = sin(x)

#-- graph ---
Dev.open

Frame.new

#--  C^Cv = 4 (ftHg) ----
Fig.window=[xmin, xmax, ymin, ymax]
Fig.viewport=[0.0, 1.0, 0.7, 0.9]
Fig.transnum=1

Plot.linetype=4
Plot.draw(x, y)

#--  C^Cv = 4 (BITLEN*2) ----
Fig.viewport=[0.0, 1.0, 0.5, 0.7]

Plot.set('bitlen', 0.006)
Plot.draw(x, y)

Plot.bitlen=0.003

#--  rbgp^[ ----
Fig.viewport=[0.0, 1.0, 0.3, 0.5]

#itype = bitpci('1111111100100100')
itype = '0b1111111100100100'.oct

Plot.draw(x, y, "linetype"=>itype)

#--  rbgp^[({) ----
Fig.viewport=[0.0, 1.0, 0.1, 0.3]

Plot.set('nbits', 32)
#itype = bitpci('10010010011111000111110001111100')
itype =  '0b10010010011111000111110001111100'.oct -  ('0b1' + "0"*32).oct 
Plot.draw(x, y, "linetype"=>itype)

Dev.close
