#
# kihona.rb

require "narray"
require "numru/advanceddcl"
include NumRu::AdvancedDCL
include NMath


nmax = 40
xmin = 0.0
xmax = 4*PI
ymin = -1.0
ymax = 1.0
x = NArray.sfloat(nmax+1)
y = NArray.sfloat(nmax+1)

#-- data ---
dt = xmax/nmax
x = x.indgen * dt
y = sin(x)

#-- graph ---
Dev.open
Frame.new

Plot.lchar=true

#-- x܂ ----
Fig.window=[xmin, xmax, ymin, ymax]
Fig.viewport=[0.0, 1.0, 0.9, 1.0]
Fig.transnum=1

Plot.setlabel('A')
Plot.linetype=1
Plot.draw(x, y)

#-- x: A,B,C,... ----
for i in 1..2
  vymin = 0.9 - 0.1*i
  vymax = vymin + 0.1
  Fig.viewport=[0.0, 1.0, vymin, vymax]
  
  Plot.nplc
  Plot.draw(x, y)
end

#-- x: K=1,K=2,... ----
Plot.setlabel('K=1')

for i in 3..4
  vymin = 0.9 - 0.1*i
  vymax = vymin + 0.1
  Fig.viewport=[0.0, 1.0, vymin, vymax]

  Plot.linetype=i-1
  Plot.draw(x, y)
  Plot.nplc
end

Plot.linetype=1

#--  x̊px ----
Fig.viewport=[0.0, 1.0, 0.3, 0.4]

Plot.irot=90
Plot.setlabel('ROT')
Plot.draw(x, y, "lrot"=>true)

#--  x̊Ԋu ----
Fig.viewport=[0.0, 1.0, 0.2, 0.3]

Plot.setlabel('CWL')
Plot.draw(x, y, "cwl"=>5.0)

#--  x̏n ----
Fig.viewport=[0.0, 1.0, 0.1, 0.2]

Plot.ffct= 0.9
Plot.setlabel('FCT')
Plot.draw(x, y)

Dev.close

