#
# map3d2.rb

require "narray"
require "numru/advanceddcl"
include NumRu::AdvancedDCL
include NMath


nx = 37
ny = 37
xmin = 0
xmax = 360
ymin = -90
ymax = 90
drad = PI/180
p = NArray.sfloat(nx, ny)

#-- data ---
for j in 0..ny-1
  for i in 0..nx-1
    alon = ( xmin + (xmax-xmin)*i/(nx-1) ) * drad
    alat = ( ymin + (ymax-ymin)*j/(ny-1) ) * drad
    slat = sin(alat)
    p[i,j] = 3*sqrt(1-slat**2)*slat*cos(alon) - 0.5*(3*slat**2-1)
  end
end

#-- graph ---
Dev.open

Tone.lsoftf = false
Frame.new

Fig.window = [xmin, xmax, ymin, ymax]
Fig.viewport = [0.1, 0.9, 0.1, 0.9]
Fig.simtrans = [0.4, 0.0, 0.0]
Fig.mapangle = [135.0, 35.0, 0.0]
Fig.mapwindow = [-180.0, 180.0, 0.0, 90.0]
Fig.transnum = 30

Map.open('coast_world')
Map.draw

for k in -5..3
  tlev1 = 0.4*k
  tlev2 = tlev1 + 0.4
  if (k <= -1)
    ipat = 600 + (k+1).abs
  else
    ipat =  30 + k
  end
  Tone.stlv(tlev1, tlev2, ipat)
end

Tone.draw(p)

Contour.gclb(p, 0.4)
Contour.draw(p)

Dev.close

