#
# quick2.rb

require "narray"
require "numru/advanceddcl"
include NumRu::AdvancedDCL
include NMath

nmax = 400
dt = PI/(nmax-1)

x = NArray.sfloat(nmax)
y = NArray.sfloat(nmax)

#-- data ----
for n in 0..nmax-1
  t = dt*n
  x[n] = 1.0e5*sin(6.0*t)
  y[n] = 1.0e-4*cos(14.0*t) + 1.0
end

#-- graph ----
Dev.open("X")
Frame.new

Axis.draw(x,y)
Plot.draw(x,y)

Dev.close
