#
# uxyz5.rb

require "narray"
require "numru/advanceddcl"
include NumRu::AdvancedDCL
include NMath


nx1 = 21
nx2 = 5
ny1 = 0
ny2 = 18

rx1 = NArray.sfloat(nx1)
rx1.indgen(-50.0, 5.0)

rx2 = NArray.sfloat(nx2)
rx2.indgen(-40.0, 20.0)

cx2 = ['40S ','20S ','EQ  ','20N ','40N ']

ry2 = NArray[1000.0, 850.0, 700.0, 500.0, 400.0, 300.0, 250.0, 200.0,
               150.0, 100.0, 70.0, 50.0, 30.0, 10.0, 5.0, 2.0, 1.0, 0.4]

cy2 = ['1000','    ','    ','500 ','    ','    ','    ','200 ','    ',
       '100 ','    ','50  ','30  ','10  ','5   ','2   ','1   ','.4  ']

dummy = []


#-- graph ---
Dev.open

Frame.new

Fig.window=[-50.0, 50.0, 1.0e3, 0.4]
Fig.viewport=[0.2, 0.8, 0.2, 0.8]
Fig.transnum=2

Axis::Lin.xaxlb('B', rx1, rx2, cx2, 4)
Axis::Lin.xaxlb('T', rx1, rx2, cx2, 4)
Axis::Lin.xsttl('B', 'LATITUDE', 0.0)

Axis::Lin.yaxlb('L', dummy, ry2, cy2, 4)
Axis::Lin.yaxlb('R', dummy, ry2, cy2, 4)
Axis::Lin.ysttl('L', 'PRESSURE (hPa)', 0.0)

Axis::Lin.xmttl('T', 'UXAXLB/UYAXLB', 0.0)

Dev.close
